#!/bin/sh

PATH=/sbin

INTERFAZ_EXT=eth0
DIR_IP=192.168.10.1/32
#
#
INTERFAZ_INT=eth0
REDINTERNA=192.168.10.0/24

PUERTOS_PER=1024:
UNIVERSO=0.0.0.0/0
DNS1=192.168.10.1/32

#
# Limpiamos las reglas actuales
#
iptables -F

# Quitamos cadenas definidas por usuarios
iptables -X
#----------------------------------------
# Establecer la poltica por defecto
# Denegar entrada
# Denegar el traspaso
# Denegar salida
#-----------------------------------------
iptables -P INPUT DROP
iptables -P FORWARD DROP
iptables -P OUTPUT DROP

# permitimos el "loopback"
iptables -A INPUT -i lo -j ACCEPT 
iptables -A OUTPUT -o lo -j ACCEPT 

# Permitimos la entrada al WEB (80)
iptables -A INPUT -p TCP -i eth0 -s $UNIVERSO  --sport $PUERTOS_PER \
                  -d $DIR_IP --dport 80 -j ACCEPT
iptables -A OUTPUT -m state --state ! NEW \ 
                   -p TCP -o eth0 -s $DIR_IP --sport 80 \
                   -d $UNIVERSO  --dport $PUERTOS_PER -j ACCEPT

# Permitimos la entrada al WEB seguro (443)
iptables -A INPUT -p TCP -i eth0 -s $UNIVERSO  --sport $PUERTOS_PER \
                  -d $DIR_IP --dport 443 -j ACCEPT
iptables -A OUTPUT -p TCP -o eth0 -s $DIR_IP --sport 443 \
                   -d $UNIVERSO  --dport $PUERTOS_PER -j ACCEPT

# Permitimos la entrada a clientes de SSH  (22)
# solo de la red interna
iptables -A INPUT -p TCP -i eth0 -s $REDINTERNA  --sport $PUERTOS_PER \
                  -d $DIR_IP --dport 22 -j ACCEPT
iptables -A OUTPUT -p TCP -o eth0 -s $DIR_IP --sport 22 \
                   -d $UNIVERSO  --dport $REDINTERNA -j ACCEPT

# Permitimos el acceso al DNS (53)
iptables -A INPUT -p UDP -i eth0 -s $DNS1  --sport 53 \
                  -d $DIR_IP --dport $PUERTOS_PER -j ACCEPT
iptables -A OUTPUT -p UDP -o eth0 -s $DIR_IP --sport $PUERTOS_PER \
                   -d $DNS1  --dport 53 -j ACCEPT

# registrar cualquier otra conexin
